package com.cisdi.data.RFID.gateway;

import com.alibaba.fastjson.JSON;

import java.io.Serializable;

/**
 * 读取到标签或标签离开，解析后的内容都一致
 *
 * @author cup
 * @date 2021/03/03
 */
public class RfidItemVo implements Serializable {
    private static final long serialVersionUID = -4290553035349526464L;
    /**
     * rfid 服务器Ip
     */
    private String serverIp;

    /**
     * rfid 服务器端口
     */
    private Integer serverPort;

    /**
     * 编号
     */
    private String code;

    public String getServerIp() {
        return serverIp;
    }

    public void setServerIp(String serverIp) {
        this.serverIp = serverIp;
    }

    public Integer getServerPort() {
        return serverPort;
    }

    public void setServerPort(Integer serverPort) {
        this.serverPort = serverPort;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
